Package wx :: Package lib :: Module mvctree :: Class NullTransform

[frames | no frames]

## Class NullTransform

    Transform --+
                |
               NullTransform

Method Summary
| ``GetSize`(self)` Returns the size of the entire tree as laid out and transformed as a tuple
| ``Transform`(self, node, offset, rotation)` This method should only change the projx and projy attributes of the node.

Method Details

### GetSize(self)

Returns the size of the entire tree as laid out and transformed as a tuple

  Overrides:
    `wx.lib.mvctree.Transform.GetSize` (inherited documentation)

### Transform(self, node, offset, rotation)

This method should only change the projx and projy attributes of the node. These represent the position of the node as it should be drawn on screen. Adjusting the x and y attributes can and should cause havoc.

  Overrides:
    `wx.lib.mvctree.Transform.Transform` (inherited documentation)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:08:17 2007 | http://epydoc.sf.net